#!/usr/bin/env python3
# Downloads the data model from the LinkAhead Server and generates an UML diagram.
# A. Schlemmer, 03/2022
# License: MIT

from logging import exception
import caosdb as db
from caosdb.utils.plantuml import to_graphics

db.configure_connection(url="https://demo.indiscale.com", username="admin", password="caosdb", password_method="plain")

container = db.execute_query("FIND RecordType")

try:
    # creates an svg and a png file with the data model
    to_graphics(container, "demo_data_model", formats=["tsvg", "tpng"],
            add_properties=False, add_legend=False, style="salexan")
    print("Images were created in current directory.")
except Exception as e:
    print(e)